import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';
var Wrapper =
/*#__PURE__*/
styled.div.withConfig({
  componentId: "pe4dcp-0"
})(["\n  position: relative;\n  display: flex;\n  flex-direction: row;\n  justify-content: space-between;\n  align-items: center;\n  width: ", ";\n  border-radius: 3px;\n\n  &::after {\n    content: '';\n    position: absolute;\n    right: 0;\n    top: 50%;\n    margin-top: -4px;\n    text-align: center;\n    width: 0;\n    height: 0;\n    border-left: 8px solid transparent;\n    border-right: 8px solid transparent;\n    border-top: 8px solid ", ";\n    pointer-events: none;\n  }\n"], function (props) {
  return props.width;
}, function (props) {
  return props.theme['dropdownArrowColor'];
});
var Select =
/*#__PURE__*/
styled.select.withConfig({
  componentId: "pe4dcp-1"
})(["\n  position: relative;\n  width: 100%;\n  padding-right: 20px;\n  color: ", ";\n  background-color: transparent;\n  appearance: none;\n  border: none;\n  font-family: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  text-transform: ", ";\n  font-style: ", ";\n  border-radius: 0.3rem;\n  cursor: pointer;\n  outline: none;\n  text-align: left;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n"], function (props) {
  return props.theme['dropdownColor'];
}, function (props) {
  return props.theme['fontPrimary'];
}, function (props) {
  return props.size;
}, function (props) {
  return props.weight;
}, function (props) {
  return props.uppercase ? 'uppercase' : props.capitalize ? 'capitalize' : 'none';
}, function (props) {
  return props.italic ? 'italic' : 'normal';
});

var SingleDropdown = function SingleDropdown(_ref) {
  var items = _ref.items,
      width = _ref.width,
      rest = _objectWithoutProperties(_ref, ["items", "width"]);

  return React.createElement(Wrapper, {
    width: width
  }, React.createElement(Select, rest, items.map(function (item) {
    return React.createElement("option", {
      key: item.value,
      value: item.value
    }, item.text);
  })));
};

SingleDropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  capitalize: PropTypes.bool,
  italic: PropTypes.bool,
  items: PropTypes.arrayOf(PropTypes.shape({
    text: PropTypes.string,
    value: PropTypes.any
  })).isRequired,
  onChange: PropTypes.func.isRequired,
  size: PropTypes.string,
  uppercase: PropTypes.bool,
  value: PropTypes.any,
  weight: PropTypes.oneOf([100, 200, 300, 400, 500, 600, 700, 800, 900]),
  width: PropTypes.string.isRequired
} : {};
SingleDropdown.defaultProps = {
  capitalize: false,
  italic: false,
  size: '1rem',
  uppercase: false,
  weight: 300,
  width: '100%'
};
export default SingleDropdown;